---
apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: web-cloudnative-zone
  namespace: istio-system
spec:
  hosts:
  - "web.cloudnative.zone"
  gateways:
  - web-cloudnative-zone-gwy
#  tcp:
#  - match:
#    - port: 
#    route:
#    - destination:
#        port:
#          number: 
#        host: web.cloudnative-zone.svc.cluster.local
  http:
  - match:
    - port: 443
    route:
    - destination:
        port:
          number: 80
        host: web.cloudnative-zone.svc.cluster.local
 # tls:
 # - match:
 #   - port:
 #     sniHosts:
 #     - "web.cloudnative.zone"
 #   route:
 #   - destination:
 #       port:
 #         number:
 #       host: crates.cloudnative-zone.svc.cluster.local
 # - match:
 #   - port: 443
 #     sniHosts:
 #     - "web.cloudnative.zone"
 #   route:
 #   - destination:
 #       port:
 #        number: 3000
 #       host: web.cloudnative-zone.svc.cluster.local
